[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / GetTableRowActionCheckFunction

# Function: GetTableRowActionCheckFunction()

> **GetTableRowActionCheckFunction**\<`Data`\>(`method`): [`RowActionCheckFunction`](../type-aliases/RowActionCheckFunction.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:47](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts#L47)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `unknown`\> = `Record`\<`string`, `unknown`\>

## Parameters

### method

[`TableRowActionMethod`](../type-aliases/TableRowActionMethod.md)\<`Data`\>

## Returns

[`RowActionCheckFunction`](../type-aliases/RowActionCheckFunction.md)\<`Data`\>
